---
title: Integrations
description: Learn how to integrate your data with GetSphere
---

import { Card, CardGrid, Icon } from "@astrojs/starlight/components";
import PlatformCard from "../../components/platformCard.astro";
import ListCard from "../../components/listCard.astro";

GetSphere integrates with a variety of platforms to help you track and analyze community activities. By connecting these platforms, you can automatically collect and analyze data on various community activities, ensuring you stay up-to-date with the latest interactions and contributions. Follow the straightforward steps below to set up these integrations.

<CardGrid>
	<ListCard title="Communication Platforms" items={[ "Discord", "Slack", "Discourse" ]} />
	<ListCard title="Social Media" items={[ "LinkedIn", "X/Twitter", "Reddit" ]} />
	<ListCard title="Developer Tools & Communities" items={[ "GitHub", "DEV", "Stack Overflow", "Hacker News" ]} />
	<ListCard title="CRM & Marketing" items={[ "HubSpot", "Salesforce" ]} />
	<ListCard title="Data & Integration Services" items={[ "BigQuery", "Census", "n8n", "Zapier", "Segment", "Snowflake" ]} />

</CardGrid>

## Communication Platforms

<PlatformCard name="Discord">
  Learn how to integrate Discord with GetSphere to seamlessly track community activities like server joins, messages, and replies.
</PlatformCard>

<PlatformCard name="Slack">
  Learn how to integrate Slack with GetSphere to automatically track and analyze community activities like messages, reactions, and user joins.
</PlatformCard>

<PlatformCard name="Discourse" iconName="starlight">
  Learn how to integrate Discourse with GetSphere to automatically track and analyze community activities like topics, posts, and replies.
</PlatformCard>

## Social Media

<PlatformCard name="LinkedIn">
  Learn how to integrate LinkedIn with GetSphere to automatically track and analyze community activities like posts, comments, and shares.
</PlatformCard>

<PlatformCard name="X/Twitter" iconName="twitter" url="/integrations/twitter">
  Learn how to integrate X/Twitter with GetSphere to automatically track and analyze community activities like tweets, retweets, and replies.
</PlatformCard>

<PlatformCard name="Reddit">
  Learn how to integrate Reddit with GetSphere to automatically track and analyze community activities like posts, comments, and upvotes.
</PlatformCard>

## Developer Tools & Communities

<PlatformCard name="GitHub">
  Learn how to seamlessly connect GitHub with GetSphere to automatically track and analyze repository activities, providing real-time insights into stars, forks, issues, pull requests, discussions, and comments.
</PlatformCard>

<PlatformCard name="DEV" iconName="starlight" url="/integrations/devto">
  Learn how to integrate DEV with GetSphere to automatically track and analyze community activities like posts, comments, and reactions.
</PlatformCard>

<PlatformCard name="Stack Overflow" iconName="stackOverflow" url="/integrations/stack-overflow">
  Learn how to integrate Stack Overflow with GetSphere to automatically track and analyze community activities like questions, answers, and comments.
</PlatformCard>

<PlatformCard name="Hacker News" iconName="starlight" url="/integrations/hacker-news">
  Learn how to integrate Hacker News with GetSphere to automatically track and analyze community activities like posts, comments, and upvotes.
</PlatformCard>

## CRM & Marketing

<PlatformCard name="HubSpot" iconName="starlight">
  Learn how to integrate HubSpot with GetSphere to automatically track and analyze community activities like leads, deals, and contacts.
</PlatformCard>

<PlatformCard name="Salesforce" iconName="starlight">
  Learn how to integrate Salesforce with GetSphere to automatically track and analyze community activities like leads, opportunities, and accounts.
</PlatformCard>

## Data & Integration Services

<PlatformCard name="BigQuery" iconName="starlight">
  Learn how to integrate BigQuery with GetSphere to automatically track and analyze community activities like queries, tables, and datasets.
</PlatformCard>

<PlatformCard name="Census" iconName="starlight">
  Learn how to integrate Census with GetSphere to automatically track and analyze community activities like events, users, and segments.
</PlatformCard>

<PlatformCard name="n8n" iconName="starlight">
  Learn how to integrate n8n with GetSphere to automatically track and analyze community activities like workflows, nodes, and executions.
</PlatformCard>

<PlatformCard name="Zapier" iconName="starlight">
  Learn how to integrate Zapier with GetSphere to automatically track and analyze community activities like zaps, triggers, and actions.
</PlatformCard>

<PlatformCard name="Segment" iconName="starlight">
  Learn how to integrate Segment with GetSphere to automatically track and analyze community activities like sources, destinations, and events.
</PlatformCard>

<PlatformCard name="Snowflake" iconName="starlight">
  Learn how to integrate Snowflake with GetSphere to automatically track and analyze community activities like warehouses, databases, and tables.
</PlatformCard>
